# parsl.app.bash.BashApp

class parsl.app.bash.BashApp(func, data_flow_kernel=None, cache=False, executors='all', ignore_for_cache=None)
  __init__(func, data_flow_kernel=None, cache=False, executors='all', ignore_for_cache=None)

    Construct the App object.

    Parameters:

      func (-) – Takes the function to be made into an App

    Kwargs:

      - data_flow_kernel (DataFlowKernel): The `DataFlowKernel` responsible for managing this app. This can be omitted only after calling `parsl.dataflow.dflow.DataFlowKernelLoader.load()`.

      - executors (str|list) : Labels of the executors that this app can execute over. Default is ‘all’.

      - cache (Bool) : Enable caching of this app ?

      - ignore_for_cache (sequence|None): Names of arguments which will be ignored by the caching mechanism.

    Returns:

      - App object.

  Methods

  `__init__`(func[, data_flow_kernel, cache, ...]) | Construct the App object.